Skip to main content
Infrastructure/Infrastructure Misc
GETInfrastructureSince 1.0SynchronousAuth Required

ExportCSV

Export resource data as a CSV file for download.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • resourceTypeString

    Type of resource to export (e.g. vm, host, volume) Type of resource to export (e.g. vm, host, volume)

  • formatString

    Export format; currently only csv is supported Export format; currently only csv is supported

  • sortString

    Field name to sort the export by Field name to sort the export by

  • orderString

    Sort direction: asc or desc Sort direction: asc or desc

  • filterList

    Filter

Responses

200 OK

On success, this API returns the following response structure.

  • dataObject

    The data value

    Example: (nested object)

Endpoint

GET/api/v1/resources/export

/api/v1/resources/export

Operation ID

ExportCSV

Permalink

Request Example

curl -X GET '{host}/api/v1/resources/export' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "data": null
}

Change History

This API has no change history records yet.

View all change history